export class MapCanvas extends BindableHTMLElement {
    static get observedAttributes(): string[];
    instanceId: string;
    _topology: any;
    _options: any;
    _selection: boolean;
    _remoteLoaded: boolean;
    _data: any;
    map: NetworkMap | null;
    leafletMap: L.Map | null;
    set jsonResults(newResults: any);
    get jsonResults(): any;
    legendMinimized: boolean;
    userChangedMapFrame: boolean;
    optionsCache: {};
    _layerTopologyCache: {};
    pubsub: pubsub.PrivateMessageBus;
    _trafficFormat: typeof utils.formatBits;
    _remoteLayerLoaded: any[];
    _remoteLayerErrors: any[];
    _remoteLayerErrorMessages: any[];
    _optionsToWatch: string[];
    _urlMaskedOptions: {
        showLegend: string;
        legendColumnLength: string;
        legendPosition: string;
        legendDefaultBehavior: string;
        customEdgeTooltip: string;
        customNodeTooltip: string;
        enableCustomEdgeTooltip: string;
        enableCustomNodeTooltip: string;
        enableEdgeAnimation: string;
        enableNodeAnimation: string;
        enableScrolling: string;
        showViewControls: string;
        showSidebar: string;
        thresholds: string;
        multiLayerNodeSnap: string;
        configurationUrl: string;
    };
    _urlMaskedLayerOptions: {
        nodeThresholds: string;
        nodeNameMatchField: string;
        nodeValueField: string;
        srcField: string;
        dstField: string;
        inboundValueField: string;
        outboundValueField: string;
        dashboardNodeVar: string;
        dashboardEdgeSrcVar: string;
        dashboardEdgeDstVar: string;
        endpointId: string;
    };
    setSelection(data: any): void;
    set selection(newValue: boolean);
    get selection(): boolean;
    showTooltip(event: any, text: any): void;
    hideTooltip(): void;
    showEditNodeDialog(node: any, nodeIdx: any, layer: any): void;
    connectedCallback(): void;
    get topology(): any;
    get options(): any;
    setTopology(newValue: any): any;
    setOptions(newValue: any): any;
    setEditModeFromUrl(): void;
    calculateOptionsChanges(newOptions: any): any[];
    _jsonResults: any;
    set updateOptions(newValue: any);
    get updateOptions(): any;
    _updateOptions: any;
    set height(newValue: any);
    get height(): any;
    _height: any;
    set width(newValue: any);
    get width(): any;
    _width: any;
    set startlat(newValue: any);
    get startlat(): any;
    _startlat: any;
    set startlng(newValue: any);
    get startlng(): any;
    _startlng: any;
    filterTraffic(newData: any): any;
    get traffic(): any;
    setTraffic(newData: any): any;
    _traffic: any;
    matchTraffic(): void;
    setTrafficFormat(fn: any): void;
    get trafficFormat(): typeof utils.formatBits;
    _trafficColor(value: any, thresholds: any, defaultValue: any): any;
    setTrafficColor(fn: any): void;
    get trafficColor(): (value: any, thresholds: any, defaultValue: any) => any;
    listen(signal: any, callback: any): void;
    emit(signal: any, data: any): void;
    lastValue(signal: any): any;
    clearLast(signal: any): void;
    attributeChangedCallback(attribute: any, oldValue: any, newValue: any): void;
    clearSelection(): void;
    setEditMode(mode: any): void;
    enableScrolling(): void;
    disableScrolling(): void;
    fetchAndCacheConfigurationUrl(): void;
    _remoteLoadError: boolean | undefined;
    _remoteLoadErrorMessage: string | undefined;
    fetchAndCacheLayerTopologyUrls(): void;
    shadow: HTMLDivElement | null | undefined;
    maybeFetchOptionsAndTopology(): void;
    updateMapOptions(changedOptions: any): void;
    updateMapTopology(newTopology: any): void;
    updateMapDimensions(newDimensions: any): void;
    recalculateMapZoom(): void;
    updateCenter(centerData: any): void;
    toggleLayer(layer: any, visible: any): void;
    autodetectTopology(): void;
    getCurrentLeafletMap(): L.Map;
    destroyMap(): void;
    homeMap(): void;
    refresh(): void;
    renderStyle(): void;
    valueFormat(bytes: any, unit: any): "0" | {
        text: string;
        suffix: string;
    };
    legendFormatter(thisValue: any, nextValue: any): string;
    toggleMinimizeLegend(): void;
    renderLegend(): void;
    render(): void;
    mapContainer: Element | null | undefined;
    editingInterface: Element | null | undefined;
    sideBar: Element | null | undefined;
}
import { BindableHTMLElement } from './lib/rubbercement.js';
import NetworkMap from "./NetworkMap.js";
import * as L from "./lib/leaflet-src.esm.js";
import * as pubsub from './lib/pubsub.js';
import * as utils from './lib/utils.js';
//# sourceMappingURL=MapCanvas.component.d.ts.map